/**
* @author Cody Machak
* A sample class that prints the minimum, maximum, and average values of a list
* This sample demonstrates my programming style and structure
* 
*/
public class Sample
{
	public static void main(String[] args)
	{
		// Array of test myArray (out of 100)
		int[] myArray = { 95,76,46,43,89,86,87,55,98,77,96,99,56,65,75,87,99,92,80,75,80,78,65,92,93,52,64 };

		// Print the array data and a blank line
		printArray(myArray);
		System.out.println();
		
		//Prints the maximum value of the array
		int maxValue = maxValue(myArray);
		System.out.println("The maximum value is " + maxValue);
		
		//Prints the minimum value of the array
		int minValue = minValue(myArray);
		System.out.println("The minimum value is " + minValue);
		
		//Prints the average value of the array
		int average = average(myArray);
		System.out.println("The average grade is " + average);		
	}
	
	/**
	* printArray method will loop through myArray and output the values.
	* A new line will be introduced every 10 values
	*
	* @param pData is the int array to be printed
	* @return void
	*/
	public static void printArray(int[] pData)
	{
		int i = 0;
		for(int lElement : pData)
		{
			System.out.print(lElement + "\t");
			if((i + 1) % 10 == 0)
			{
				System.out.println();
			}
			i++;
		}
		System.out.println();
	}
	
	/**
	* maxValue method will find and return the maximum value in the array
	*
	* @param pData is the int array we are finding the maximum of
	* @return maximum value of all the entries in myArray
	*/
	public static int maxValue(int[] pData)
	{ 
		int maxValue = pData[0];
		for(int i = 0; i < pData.length; i++)
		{
			if(pData[i] > maxValue)
			{
			maxValue = pData[i];
			}
		}
		return maxValue;
	}

	/**
	* minValue method will find and return the minimum value in the list
	*
	* @param pData is the int array we are finding the minimum of
	* @return minimum value of all the entries in myArray
	*/
	public static int minValue(int[] pData)
	{ 
		int minValue = pData[0];
		for(int i = 0; i < pData.length; i++)
		{
			if(pData[i] < minValue)
			{
			minValue = pData[i];
			}
		}
		return minValue;
	}	
	
	/**
	* average method will compute the average value from myArray.
	*
	* @param pData is the int array we are finding the average of
	* @return average value of myArray
	*/
	public static int average(int[] pData)
	{ 
		double sum = 0;
		for(int i = 0; i < pData.length; i++)
		{
			sum += pData[i];
		}
		int average = (int)Math.round(sum/pData.length);
		return average;
	}
}